This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 585707 - Review Request: guayadeque - Music player based on wxWidgets
Review Request: guayadeque - Music player based on wxWidgets
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-04-25 14:00 EDT by Pawel Pogorzelski
Modified: 2010-12-26 15:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-26 15:31:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pawel Pogorzelski 2010-04-25 14:00:15 EDT
Spec URL: http://dl.dropbox.com/u/146266/Fedora_Packages/guayadeque.spec
SRPM URL: http://dl.dropbox.com/u/146266/Fedora_Packages/guayadeque-0.2.5-1.fc12.src.rpm
Description: Music Player with the aims to be intuitive, easy to use and fast even for huge music collections. Developed for Linux with wxWidgets for GTK under Gnome.
This is my first package try and I seek a sponsor.
Comment 1 Mohammed Imran 2010-04-28 10:07:24 EDT
Please set BLOCKS to FE-NEEDSPONSOR,so that sponsors can find you.

This is a informal review

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

Need to Fix these
=================

1) Summary is too short Media Player,try to expand it.
2) GROUP should be Applications/Multimedia not Application/media
3)Add gstreamer-devel in Buildrequires too and remove gcc-c++,by default gcc will handle it
4)Source should be 
http://downloads.sourceforge.net/guayadeque/guayadeque-0.2.5.tar.gz
pleas refer https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
4)Description's each line should be <79 chars
5)Use either tabs or spaces,not both(together)
6)Remove taglib from requires,its handled by rpm
7)README says it needs sqlite3

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec
[x]  Package meets the Packaging Guidelines.
[X]  Package successfully compiles and builds into binary rpms on at least one
supported architecture.
Tested on:
[!]  Rpmlint output:
guayadeque.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 1)
guayadeque.src: E: description-line-too-long Music Player with the aims to be intuitive, easy to use and fast even for huge music collections. Developed for Linux with wxWidgets for GTK under Gnome.
guayadeque.src: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 1)
guayadeque.i586: E: explicit-lib-dependency taglib
guayadeque.i586: E: description-line-too-long Music Player with the aims to be intuitive, easy to use and fast even for huge music collections. Developed for Linux with wxWidgets for GTK under Gnome.
2 packages and 1 specfiles checked; 3 errors, 2 warnings.

[x]  Package is not relocatable.
[x]  Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:GPLv2
[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
MD5SUM this package    :4faeeb53f83a0b8329e2bc26b9b992ab 
MD5SUM upstream package:4faeeb53f83a0b8329e2bc26b9b992ab 

[x]  Package is not known to require ExcludeArch, OR:
Arches excluded:
Why:

[!]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.

[x]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly. 
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.
Comment 2 Pawel Pogorzelski 2010-04-29 13:08:46 EDT
All pointed out errors (thanks for showing them up -  I'm just learning) fixed (I hope properly).
rpmlint (I didn't knew it earlier) shows no errors.
SPEC and SRPM in new version replaced the originals (links remain the same).
I'll set also the blocks as suggested (didn't found that part on wiki).
Comment 3 Mohammed Imran 2010-04-30 01:53:12 EDT
I'm also learning,We're in the Same Boat Brother ;)

Few more things to fix 

rpmlint output
===============
[imran@localhost SPECS]$ rpmlint guayadeque.spec ../SRPMS/guayadeque-0.2.5-1.fc11.src.rpm ../RPMS/i586/guayadeque-0.2.5-1.fc11.i586.rpm
guayadeque.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 1)
guayadeque.src: E: description-line-too-long Music Player with the aims to be intuitive, easy to use and fast even for huge music collections. Developed for Linux with wxWidgets for GTK under Gnome.
guayadeque.src: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 1)
guayadeque.i586: E: description-line-too-long Music Player with the aims to be intuitive, easy to use and fast even for huge music collections. Developed for Linux with wxWidgets for GTK under Gnome.
2 packages and 1 specfiles checked; 2 errors, 2 warnings.

* Please refer https://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#description-line-too-long

* Run rpmlint on both the SRPM and the binary RPMs before uploading them for review

* Increase the "Release" tag every time you upload a new package to avoid confusion. The reviewer and other interested parties probably still have older versions of your SRPM lying around to check what has changed between the old and new packages; those get confused when the revision didn't change.Also change revision number in changelog tag as 0.2.5-2

* No . at the end of summary 

Apart from these,spec looks ok to me. 

Also refer this URL
http://fedoraproject.org/wiki/Koji

For scratch build on koji use command
koji build --scratch dist-f14 <SRPM_file>

Best of luck :)
Comment 4 Jason Tibbitts 2010-11-19 09:30:55 EST
There doesn't seem to be any response to comment 3, and the links are all dead.

Note You need to log in before you can comment on or make changes to this bug.